from unittest import TestCase

import mycroft.configuration


class TestConfiguration(TestCase):

    def test_get(self):
        d1 = {'a': 1, 'b': {'c': 1, 'd': 2}}
        d2 = {'b': {'d': 'changed'}}
        d = mycroft.configuration.Configuration.get([d1, d2])
        self.assertEqual(d['a'], d1['a'])
        self.assertEqual(d['b']['d'], d2['b']['d'])
        self.assertEqual(d['b']['c'], d1['b']['c'])

    def tearDown(self):
        mycroft.configuration.Configuration.load_config_stack([{}], True)
